# Generated by Django 3.2 on 2023-10-15 02:22

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0011_rename_penanggungjawab_id_dataumkm_penanggungjawab'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataKelembagaan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jenisinput', models.CharField(default='Lembaga Adat', max_length=500)),
                ('title_lembaga', models.TextField(null=True)),
                ('ketua_lembaga', models.TextField(null=True)),
                ('jml_anggota', models.IntegerField(null=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/umkm', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
